1. INLEDNING

Wine Ã¤r ett program som gÃ¶r det mÃ¶jligt att kÃ¶ra Windows-program
(inkluderat DOS, Windows 3.x, Win32 och Win64) i Unix. Det bestÃ¥r av en
programstartare som startar och kÃ¶r Windows-programfiler, samt ett
bibliotek (kallat Winelib) som implementerar Windows API-anrop med hjÃ¤lp
av motsvarande Unix-, X11- eller Mac-anrop. Biblioteket kan ocksÃ¥ anvÃ¤ndas
till att porta Windows-kod till vanliga Unix-program.

Wine Ã¤r fri programvara, utgett under villkoren i GNU LGPL; se
filen LICENSE fÃ¶r detaljer.


2. KOM IGÃNG

KÃ¶r fÃ¶ljande kommandon i rotkatalogen fÃ¶r Wines kÃ¤llkod:

./configure
make

EfterÃ¥t antingen installera Wine:

make install

Eller kÃ¶r Wine direkt frÃ¥n dess rotkatalog:

./wine notepad

KÃ¶r program med "wine [val] program". Se resten av denna fil,
Wines man-sidor samt sist men inte minst https://www.winehq.org/ fÃ¶r mer
information och tips om hur problem kan lÃ¶sas.


3. SYSTEMKRAV

FÃ¶r att kompilera och kÃ¶ra Wine krÃ¤vs ett av fÃ¶ljande:

  Linux version 2.0.36 eller senare
  FreeBSD 8.0 eller senare
  Solaris x86 9 eller senare
  NetBSD-current
  Mac OS X 10.5 eller senare

Wine krÃ¤ver stÃ¶d fÃ¶r trÃ¥dar pÃ¥ kernelnivÃ¥, och dÃ¤rfÃ¶r Ã¤r det bara
operativsystemen ovan som stÃ¶ds. Andra operativsystem som
stÃ¶der kerneltrÃ¥dar kommer eventuellt att stÃ¶djas i framtiden.

Information fÃ¶r FreeBSD:
  Wine kommer i regel inte att fungera pÃ¥ FreeBSD-versioner Ã¤ldre Ã¤n 8.0.
  Se https://wiki.freebsd.org/Wine fÃ¶r mer information.

Information fÃ¶r Solaris:
  Wine mÃ¥ste antagligen byggas med GNU toolchain (gcc, gas etc.).
  Varning: Ã¤ven om gas installeras sÃ¥ Ã¤r det inte sÃ¤kert att det anvÃ¤nds av
  gcc. Det sÃ¤gs att det Ã¤r nÃ¶dvÃ¤ndigt att antingen bygga gcc pÃ¥ nytt, eller
  skapa symboliska lÃ¤nkar frÃ¥n "cc", "as" och "ld" till GNU toolchain.

Information fÃ¶r NetBSD:
  USER_LDT, SYSVSHM, SYSVSEM och SYSVMSG mÃ¥ste vara aktiverade i kerneln.

Information fÃ¶r Mac OS X:
  Du behÃ¶ver Xcode 2.4 eller senare fÃ¶r att korrekt kunna bygga Wine pÃ¥ x86.
  Mac-drivrutinen krÃ¤ver OS X 10.6 eller senare och kommer inte att byggas pÃ¥ 10.5.


StÃ¶dda filsystem:
  Wine kan kÃ¶ra pÃ¥ de flesta filsystem, men det har rapporterats problem vad
  gÃ¤ller kompatibilitet dÃ¥ samba anvÃ¤nds fÃ¶r att ansluta till filer. NTFS
  tillhandahÃ¥ller inte heller alla filsystemsfunktioner som behÃ¶vs av alla
  program. Det rekommenderas att anvÃ¤nda ett riktigt Unix-filsystem.

GrundlÃ¤ggande krav:
  Utvecklingsfilerna fÃ¶r X11 mÃ¥ste vara installerade (de kallas xlib6g-dev i
  Debian och XFree86-devel i Red Hat).

  Du mÃ¥ste givetvis ocksÃ¥ ha "make" (mest troligt "GNU make").

  Det Ã¤r ocksÃ¥ nÃ¶dvÃ¤ndigt att ha flex 2.5.33 eller senare samt bison.

Valfria stÃ¶dbibliotek:
  configure-skriptet visar varningar nÃ¤r valfria bibliotek inte hittats.
  Se https://wiki.winehq.org/Recommended_Packages fÃ¶r information om vilka
  paket du bÃ¶r installera. PÃ¥ 64-bitars system mÃ¥ste du sÃ¤kerstÃ¤lla att du
  installerar 32-bitars versionerna av dessa bibliotek.


4. KOMPILERING

KÃ¶r fÃ¶ljande kommandon fÃ¶r att bygga Wine:

./configure
make

Detta bygger programmet "wine" och diverse stÃ¶dbibliotek/programfiler.
Programfilen "wine" laddar och kÃ¶r Windows-program.
Biblioteket "libwine" ("Winelib") kan anvÃ¤ndas till att bygga och lÃ¤nka
Windows-kÃ¤llkod i Unix.

KÃ¶r './configure --help' fÃ¶r att se instÃ¤llningar och val vid kompilering.

FÃ¶r mer information se https://wiki.winehq.org/Building_Wine


5. INSTALLATION

NÃ¤r Wine Ã¤r byggt kan du kÃ¶ra "make install" fÃ¶r att installera det;
detta installerar ocksÃ¥ man-sidorna och nÃ¥gra fler nÃ¶dvÃ¤ndiga filer.

GlÃ¶m inte att fÃ¶rst avinstallera gamla Wine-versioner. PrÃ¶va antingen
"dpkg -r wine", "rpm -e wine" eller "make uninstall" fÃ¶re installationen.

NÃ¤r Wine Ã¤r installerat kan du anvÃ¤nda instÃ¤llningsprogrammet "winecfg".
Se hjÃ¤lpavdelningen pÃ¥ https://www.winehq.org/ fÃ¶r tips om instÃ¤llningar.


6. KÃRNING AV PROGRAM

NÃ¤r du anvÃ¤nder Wine kan du uppge hela sÃ¶kvÃ¤gen till programfilen, eller
enbart ett filnamn.

Exempel: fÃ¶r att kÃ¶ra Notepad:

        wine notepad               (anvÃ¤nder sÃ¶kvÃ¤gen angiven i Wines
        wine notepad.exe            konfigurationsfil fÃ¶r att finna filen)

        wine c:\\windows\\notepad.exe  (anvÃ¤ndning av DOS-filnamnssyntax)

        wine ~/.wine/drive_c/windows/notepad.exe  (anvÃ¤ndning av Unix-filvÃ¤gar)

        wine notepad.exe readme.txt  (kÃ¶ra program med parametrar)

Wine Ã¤r inte perfekt, sÃ¥ det Ã¤r mÃ¶jligt att vissa program kraschar.
I sÃ¥ fall fÃ¥r du en kraschlogg som du bÃ¶r bifoga till din rapport dÃ¥ du
rapporterar ett fel.


7. MER INFORMATION

Internet:  Mycket information om Wine finns samlat pÃ¥ WineHQ pÃ¥
           https://www.winehq.org/ : diverse guider, en programdatabas samt
           felspÃ¥rning. Detta Ã¤r antagligen det bÃ¤sta stÃ¤llet att bÃ¶rja.

FrÃ¥gor:    FrÃ¥gor och svar om Wine finns samlade pÃ¥ https://www.winehq.org/FAQ

Wiki:      Wines Wiki finns pÃ¥ https://wiki.winehq.org

E-postlistor:
           Det finns flera e-postlistor fÃ¶r Wine-anvÃ¤ndare och -utvecklare; se
           https://www.winehq.org/forums fÃ¶r mer information.

Fel:       Rapportera fel till Wines Bugzilla pÃ¥ https://bugs.winehq.org
           SÃ¶k i Bugzilla-databasen fÃ¶r att se om problemet redan finns
           rapporterat innan du sÃ¤nder en felrapport.

IRC:       HjÃ¤lp finns tillgÃ¤nglig online pÃ¥ kanalen #WineHQ pÃ¥
           irc.freenode.net.

Git:       Wines nuvarande utvecklingsversion finns tillgÃ¤nglig genom Git.
           GÃ¥ till https://www.winehq.org/git fÃ¶r mer information.

Om du lÃ¤gger till nÃ¥got eller fixar ett fel, Ã¤r det bra om du sÃ¤nder
en patch (fÃ¶rslagsvis med git-format-patch) till listan wine-devel@winehq.org
fÃ¶r inkludering i nÃ¤sta utgÃ¥va av Wine.

--
Originalet till denna fil skrevs av
Alexandre Julliard
julliard@winehq.org

Ãversatt till svenska av
Anders Jonsson
anders.jonsson@norsjonet.se
och
Lauri KenttÃ¤
lauri.kentta@gmail.com
